# Storage system specific credentials
# -----------------------------------
eseries_system_username: admin                   # Storage system username. Default: admin
#eseries_system_password:                        # Storage system admin password.
#eseries_validate_certs:                         # Whether the SSL certificates should be verified. (boolean)
#eseries_system_subnet:                          # IPv4 search range for discovering E-Series storage. Must be in CIDR form.
#eseries_system_serial:                          # Storage system chassis serial number. This is used to automatically discover the system.
#eseries_system_addresses:                       # (list) Controller address(es) for the storage system. Only applicable for proxy web services.
#eseries_system_tags:                            # Meta tags to associate to the storage system. Only applicable for proxy web services.
#eseries_system_password:                        # Required when adding storage systems to SANtricity Web Services Proxy.
#eseries_system_minimum_password_length:         # Minimum required password length

# SANtricity Web Services Proxy specific variables
# ------------------------------------------------
#eseries_proxy_ssid:                             # Storage array identifier. This value will be 1 when interacting with the embedded web services,
#eseries_proxy_api_url:                          # Url for the web services proxy rest api. Example: https://192.168.10.100:8443/devmgr/v2
#eseries_proxy_api_username:                     # Username for the web services proxy rest api.
#eseries_proxy_api_password:                     # Password for the web services proxy rest api.
#eseries_proxy_current_api_password:             # This is for changing the password for the proxy.
#eseries_proxy_api_validate_certs:               # Whether the SSL certificates should be verified. (boolean)
#eseries_proxy_minimum_password_length:          # Minimum required proxy password length

#eseries_proxy_discovery_subnet:                 # IPv4 search range for discovering E-Series storage. Must be in CIDR form.
#eseries_proxy_accept_certifications:            # Force automatic acceptance of all storage system's certificate
#eseries_proxy_default_system_tags:              # Default meta tags to associate with all storage systems
#eseries_proxy_default_password:                 # Default password to associate with all storage systems
#eseries_proxy_systems:                          # List of storage system information which defines which systems should be added to proxy web services.
                                                 #   Automatically populated from storage system's inventory when not defined.
                                                 # See na_santricity_proxy_systems for more details.

# Storage proxy non-admin passwords
# ---------------------------------
#eseries_proxy_monitor_password:              # Proxy monitor username password
#eseries_proxy_security_password:             # Proxy security username password
#eseries_proxy_storage_password:              # Proxy storage username password
#eseries_proxy_support_password:              # Proxy support username password

# Storage system non-admin passwords
# ----------------------------------
#eseries_system_monitor_password:             # Storage system monitor username password
#eseries_system_security_password:            # Storage system security username password
#eseries_system_storage_password:             # Storage system storage username password
#eseries_system_support_password:             # Storage system support username password

# Storage system defaults
# -----------------------------
#eseries_system_name:                         # Name of the storage system.
#eseries_system_cache_block_size:             # Cache block size
#eseries_system_cache_flush_threshold:        # Unwritten data will be flushed when exceeds this threshold
#eseries_system_autoload_balance:             # Whether automatic load balancing should be enabled. Choices: enabled, disabled
#eseries_system_host_connectivity_reporting:  # Whether host connectivity reporting should be enabled. Choices: enabled, disabled
#eseries_system_login_banner_message:         # Message that appears prior to the login.
#eseries_system_default_host_type:            # Only required when using something other than Linux kernel 3.10 or later with DM-MP (Linux DM-MP),
                                              #     non-clustered Windows (Windows), or the storage system default host type is incorrect. Common definitions below:
                                              #     - AIX MPIO: The Advanced Interactive Executive (AIX) OS and the native MPIO driver
                                              #     - AVT 4M: Silicon Graphics, Inc. (SGI) proprietary multipath driver; refer to the SGI installation documentation for more information
                                              #     - HP-UX: The HP-UX OS with native multipath driver
                                              #     - Linux ATTO: The Linux OS and the ATTO Technology, Inc. driver (must use ATTO FC HBAs)
                                              #     - Linux DM-MP: The Linux OS and the native DM-MP driver
                                              #     - Linux Pathmanager: The Linux OS and the SGI proprietary multipath driver; refer to the SGI installation documentation for more information
                                              #     - Mac: The Mac OS and the ATTO Technology, Inc. driver
                                              #     - ONTAP: FlexArray
                                              #     - Solaris 11 or later: The Solaris 11 or later OS and the native MPxIO driver
                                              #     - Solaris 10 or earlier: The Solaris 10 or earlier OS and the native MPxIO driver
                                              #     - SVC: IBM SAN Volume Controller
                                              #     - VMware: ESXi OS
                                              #     - Windows: Windows Server OS and Windows MPIO with a DSM driver
                                              #     - Windows Clustered: Clustered Windows Server OS and Windows MPIO with a DSM driver
                                              #     - Windows ATTO: Windows OS and the ATTO Technology, Inc. driver

# Storage system SSL certificates
# -------------------------------
eseries_client_certificate_remove_unspecified_user_certificates: True    # Whether existing user certificates should be automatically removed.
#eseries_client_certificate_certificates:                                # Dictionary containing the SSL certificate file paths. The key will be used as the alias.
#eseries_client_certificate_absent_certificates:                         # List of aliases to remove from the storage array's trust store.

# Storage management interface defaults
# -------------------------------------
#eseries_management_config_method:
#eseries_management_subnet_mask:
#eseries_management_gateway:
#eseries_management_dns_config_method:
#eseries_management_dns_address:
#eseries_management_dns_address_backup:
#eseries_management_ntp_config_method:
#eseries_management_ntp_address:
#eseries_management_ntp_address_backup:
#eseries_management_ssh:
#eseries_management_interfaces:
#  config_method:
#  subnet_mask:
#  gateway_mask:
#  dns_config_method:
#  dns_address:
#  dns_address_backup:
#  ntp_config_method:
#  ntp_address:
#  ntp_address_backup:
#  ssh
#  controller_a:
#      config_method:
#      address:
#      subnet_mask:
#      gateway:
#      dns_config_method:
#      dns_address:
#      dns_address_backup:
#      ntp_config_method:
#      ntp_address:
#      ntp_address_backup:
#      ssh:
#    - (...)
#  controller_b:
#    - (...)
#    - (...)

# Alerts configuration defaults
# -----------------------------
#eseries_alerts_state:            # Whether to enable storage system alerts. Choices: enabled, disabled
#eseries_alerts_contact:          # This allows owner to specify free-form contact information such as email or phone number.
#eseries_alerts_recipients:       # List containing e-mails that should be sent notifications when alerts are issued.
#eseries_alerts_sender:           # Sender email. This does not necessarily need to be a valid e-mail.
#eseries_alerts_server:           # Fully qualified domain name, IPv4 address, or IPv6 address of the mail server.
#eseries_alert_syslog_servers:    # List of dictionaries where each dictionary contains a syslog server entry. [{"address": <syslog_address>, "port": 514}]
eseries_alerts_test: false        # When changes are made to the storage system alert configuration a test e-mail will be sent. Choices: true, false
eseries_alert_syslog_test: false  # When changes are made to the alerts syslog servers configuration a test message will be sent to them. Choices: true, false

# LDAP configuration defaults
# ---------------------------
#eseries_ldap_state:                          # Whether LDAP should be configured
#eseries_ldap_identifier: memberOf             # The user attributes that should be considered for the group to role mapping
#eseries_ldap_user_attribute: sAMAccountName   # Attribute used to the provided username during authentication.
#eseries_ldap_bind_username:                   # User account that will be used for querying the LDAP server.
#eseries_ldap_bind_password:                   # Password for the bind user account
#eseries_ldap_server:                          # LDAP server URL.
#eseries_ldap_search_base:                     # Search base used for find user's group membership
#eseries_ldap_role_mappings:                   # Dictionary of user groups, each containing the list of access roles.
                                              #     Role choices: storage.admin - allows users full read/writes access to storage objects and operations.
                                              #                   storage.monitor - allows users read-only access to storage objects and operations.
                                              #                   storage.admin - allows users access to hardware, diagnostic information, major event logs, and
                                              #                       other critical support-related functionality, but not the sorage configuration.
                                              #                   security.admin - allows users access to authentication/authorization configuration, as well as
                                              #                       the audit log configuration, adn certification management.

# Drive firmware defaults
# -----------------------
#eseries_drive_firmware_firmware_list:                    # Local path list for drive firmware.
eseries_drive_firmware_wait_for_completion: true          # Forces drive firmware upgrades to wait for all associated tasks to complete. Choices: true, false
eseries_drive_firmware_ignore_inaccessible_drives: false  # Forces drive firmware upgrades to ignore any inaccessible drives. Choices: true, false
eseries_drive_firmware_upgrade_drives_online: true        # Forces drive firmware upgrades to be performed while I/Os are accepted. Choices: true, false

# Controller firmware defaults
# ----------------------------
#eseries_firmware_nvsram:                     # Local path for NVSRAM file.
#eseries_firmware_firmware:                   # Local path for controller firmware file.
eseries_firmware_wait_for_completion: true    # Forces controller firmware upgrade to wait until upgrade has completed before continuing. Choices: true, false
eseries_firmware_ignore_mel_events: false   # Forces firmware upgrade to be attempted regardless of the health check results. Choices: true, false

# ASUP configuration defaults
# ---------------------------
#eseries_asup_state:              # Whether auto support (ASUP) should be enabled. Choices: enabled, disabled
eseries_asup_active: true         # Enables active monitoring which allows NetApp support personnel to request support data to resolve issues. Choices: true, false
#eseries_asup_days:               # List of days of the week. Choices: monday, tuesday, wednesday, thursday, friday, saturday, sunday
eseries_asup_start: 0             # Hour of the day(s) to start ASUP bundle transmissions. Start time must be less than end time. Choices: 0-23
eseries_asup_end: 24              # Hour of the day(s) to end ASUP bundle transmissions. Start time must be less than end time. Choices: 1-24
#eseries_asup_method:             # ASUP delivery method. Choices https, http, email (default: https)
#eseries_asup_routing_type:       # ASUP delivery routing type for https or http. Choices: direct, proxy, script (default: direct)
#eseries_asup_proxy:              # ASUP proxy delivery method information.
#  host:                          # ASUP proxy host IP address or FQDN. When eseries_asup_routing_type==proxy this must be specified.
#  port:                          # ASUP proxy host port. When eseries_asup_routing_type==proxy this must be specified.
#  script:                        # ASUP proxy host script.
#eseries_asup_email:              # ASUP email delivery configuration information
#  server:                        # ASUP email server
#  sender:                        # ASUP email sender
#  test_recipient:                # ASUP configuration mail test recipient
#eseries_maintenance_duration:    # Duration in hours (1-72) the ASUP maintenance mode will be active
#eseries_maintenance_emails:      # List of email addresses for maintenance notifications
#eseries_asup_validate:           # Verify ASUP configuration prior to applying changes.

# Audit-log configuration defaults
# --------------------------------
eseries_auditlog_enforce_policy: false    # Whether to make audit-log policy changes. Choices: true, false
eseries_auditlog_force: false             # Forces audit-log to delete log messages when fullness threshold has been exceeded.
                                          #     Applicable when eseries_auditlog_full_policy=preventSystemAccess. Choices: true, false
eseries_auditlog_full_policy: overWrite   # Policy for what to do when record limit has been reached. Choices: overWrite, preventSystemAccess
eseries_auditlog_log_level: writeOnly     # Filters logs based on the specified level. Choices: all, writeOnly
eseries_auditlog_max_records: 50000       # Maximum number of audit-log messages retained. Choices: 100-50000.
eseries_auditlog_threshold: 90            # Memory full percentage threshold that audit-log will start issuing warning messages. Choices: 60-90

# Syslog configuration defaults
# -----------------------------
#eseries_syslog_state:                    # Whether syslog servers should be added or removed from storage system. Choices: present, absent
#eseries_syslog_address:                  # Syslog server IPv4 address or fully qualified hostname.
eseries_syslog_test: false                # Whether a test messages should be sent to syslog server when added to the storage system. Choices: true, false
eseries_syslog_protocol: udp              # Protocol to be used when transmitting log messages to syslog server. Choices: udp, tc, tls
eseries_syslog_port: 514                  # Port to be used when transmitting log messages to syslog server.
eseries_syslog_components: ["auditLog"]   # List of components log to syslog server. Choices: auditLog, (others may be available)
